---
names:
  full: AWS RDS Snapshot is 90 days old or more
  contextual: Snapshot is 90 days old or more
description: "Consider deleting or archiving AWS RDS Snapshots that 
  are 90 days old or more to reduce storage costs and manage data lifecycle."
type: "COMPLIANCE_POLICY"
categories:
  - "COST"
frameworkMappings:
  - "/frameworks/cloudaware/cost-efficiency-and-optimization/waste-reduction"